Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167728 - ArrayIndexOutOfBoundsException: 1
ArrayIndexOutOfBoundsException: 1
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Milos Kleint
issues@platform
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT 67patch1-verified
:
Depends on: 180901
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 23:13 UTC by Exceptions Reporter
Modified: 2010-10-13 00:04 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.30 KB, text/plain)
2009-06-26 23:14 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2009-06-26 23:13:57 UTC
Build: NetBeans IDE 6.7 Beta (Build 200904242137)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Linux, 2.6.28-13-generic, amd64

User Comments:
GUEST: Nothing in particular

mkleint: tooltip showing on pom navigator

dirk_schmitt: browsing pom.xml in Navigator

mkleint: howering to get a tooltip on top of the pom model navigator, over properties values



Stacktrace: 
java.lang.ArrayIndexOutOfBoundsException: 1
        at org.netbeans.modules.maven.navigator.POMModelVisitor$SingleFieldNode.getShortDescription(POMModelVisitor.java:1134)
        at org.openide.explorer.view.VisualizerNode.getShortDescription(VisualizerNode.java:208)
        at org.openide.explorer.view.TreeView$ExplorerTree.getToolTipText(TreeView.java:2049)
        at javax.swing.ToolTipManager$insideTimerAction.actionPerformed(ToolTipManager.java:658)
        at javax.swing.Timer.fireActionPerformed(Timer.java:271)
        at javax.swing.Timer$DoPostEvent.run(Timer.java:201)
Comment 1 Exceptions Reporter 2009-06-26 23:14:03 UTC
Created attachment 84068 [details]
stacktrace
Comment 2 Exceptions Reporter 2009-06-26 23:14:29 UTC
This issue already has 6 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=148594
Comment 3 Milos Kleint 2009-06-29 12:37:49 UTC
http://hg.netbeans.org/main/rev/fb9e60baf5f4
Comment 4 Quality Engineering 2009-06-30 05:44:11 UTC
Integrated into 'main-golden', will be available in build *200906300200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/fb9e60baf5f4
User: Milos Kleint <mkleint@netbeans.org>
Log: #167728 make sure the missing values are added as null to have all holders with the same length.
Comment 5 Jaroslav Pospisil 2009-07-02 13:22:28 UTC
v.
Comment 6 pgebauer 2009-07-09 22:49:32 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/109c5693705b
Comment 7 pribyl 2009-07-20 13:39:55 UTC
Product Version: NetBeans IDE 6.7.1 RC (Build 200907162301)
Java: 1.6.0_14; Java HotSpot(TM) Client VM 14.0-b16
System: Windows XP version 5.1 running on x86; Cp1250; cs_CZ (nb)
Comment 8 pribyl 2009-07-20 13:40:34 UTC
Verified on 6.7.1 RC


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo